Cantera 2.6.0

EdgePhase.h
Go to the documentation of this file.
1/**
2 * @file EdgePhase.h Declarations for the EdgePhase ThermoPhase object, which
3 * models the interface between two surfaces (see \ref thermoprops and
4 * \link Cantera::EdgePhase EdgePhase\endlink).
5 */
6
7// This file is part of Cantera. See License.txt in the top-level directory or
8// at https://cantera.org/license.txt for license and copyright information.
9
10#ifndef CT_EDGEPHASE_H
11#define CT_EDGEPHASE_H
12
13#include "SurfPhase.h"
14
15 namespace Cantera
16{
17
18//! A thermodynamic phase representing a one dimensional edge between two
19//! surfaces.
20/*!
21 * This thermodynamic function is largely a wrapper around the SurfPhase
22 * thermodynamic object.
23 *
24 * All of the equations and formulations carry through from SurfPhase to this
25 * EdgePhase object. It should be noted that dimensional quantities with
26 * dimensions including a length have their dimensions reduced by one.
27 *
28 * @ingroup thermoprops
29 */
30 class EdgePhase : public SurfPhase
31{
32 public:
33 //! Construct and initialize an EdgePhase directly from an input file
34 /*!
35 * @param infile name of the input file
36 * @param id name of the phase id in the file.
37 * If this is blank, the first phase in the file is used.
38 */
39 explicit EdgePhase(const std::string& infile, const std::string& id="");
40
41 //! Constructor
42 /*!
43 * @param n0 Surface site density (kmol m-1).
44 * @deprecated The `n0` constructor argument is deprecated and will be
45 * removed after Cantera 2.6. Use setSiteDensity() instead.
46 */
47 EdgePhase(doublereal n0=-1.0);
48
49 virtual std::string type() const {
50 return "Edge";
51 }
52
53 //! Set the Equation-of-State parameters by reading an XML Node Input
54 /*!
55 * The Equation-of-State data consists of one item, the site density.
56 *
57 * @param thermoData Reference to an XML_Node named thermo containing the
58 * equation-of-state data. The XML_Node is within the
59 * phase XML_Node describing the EdgePhase object.
60 *
61 * An example of the contents of the thermoData XML_Node is provided below.
62 * The units attribute is used to supply the units of the site density in
63 * any convenient form. Internally it is changed into MKS form.
64 *
65 * @code
66 * <thermo model="Edge">
67 * <site_density units="mol/cm"> 3e-15 </site_density>
68 * </thermo>
69 * @endcode
70 *
71 * @deprecated The XML input format is deprecated and will be removed in
72 * Cantera 3.0.
73 */
74 virtual void setParametersFromXML(const XML_Node& thermoData);
75};
76}
77
78#endif
SurfPhase.h
Header for a simple thermodynamics model of a surface phase derived from ThermoPhase,...
Cantera::EdgePhase
A thermodynamic phase representing a one dimensional edge between two surfaces.
Definition: EdgePhase.h:31
Cantera::EdgePhase::EdgePhase
EdgePhase(const std::string &infile, const std::string &id="")
Construct and initialize an EdgePhase directly from an input file.
Definition: SurfPhase.cpp:384
Cantera::EdgePhase::setParametersFromXML
virtual void setParametersFromXML(const XML_Node &thermoData)
Set the Equation-of-State parameters by reading an XML Node Input.
Definition: SurfPhase.cpp:390
Cantera::EdgePhase::type
virtual std::string type() const
String indicating the thermodynamic model implemented.
Definition: EdgePhase.h:49
Cantera::SurfPhase
A simple thermodynamic model for a surface phase, assuming an ideal solution model.
Definition: SurfPhase.h:125
Cantera::XML_Node
Class XML_Node is a tree-based representation of the contents of an XML file.
Definition: xml.h:103
Cantera
Namespace for the Cantera kernel.
Definition: AnyMap.cpp:557